<?php 
require_once "../modelos/Escritoriod.php";

$escritorio		=new Escritoriod();

$idescritorio =isset($_POST["idescritorio"])? limpiarCadena($_POST["idescritorio"]):"";
$idvendedor   =isset($_POST["idvendedor"])? limpiarCadena($_POST["idvendedor"]):"";
$descripcion  =isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";

switch ($_GET["op"]) {
	case 'guardaryeditar':
	
	break;
	
	case 'selectCama':
	
		
	break;
		
	case 'desactivar':
	
	break;
	case 'activar':
		
	break;
	
	case 'mostrar':
		//$rspta=$escritorio->mostrar($idescritorio);
		echo json_encode($rspta);
	break;

  case 'listarcliente':
		$rspta=$escritorio->listarcliente($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientenuevo':
		$rspta=$escritorio->listarclientenuevo($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientemas':
		$rspta=$escritorio->listarcliente($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientemas90dias':
		$rspta=$escritorio->listarclientemas90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"2"=>'<div align="left">'.$reg->direcciond.'</div>',
						"3"=>'<div align="left">'.$reg->telefono.'</div>',
            "4"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientemes':
		$rspta=$escritorio->listarclientemes($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarcliente90dias':
		$rspta=$escritorio->listarcliente90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
            "1"=>'<div align="center">'.$reg->fechafaturacion.'</div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcmes':
		$rspta=$escritorio->listarclientecxcmes($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->nrocxc.'</div>',
						"2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->monto.'</div>',
						"4"=>'<div align="left">'.$reg->cobrado.'</div>',
						"5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxc90dias':
		$rspta=$escritorio->listarclientecxc90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->nrocxc.'</div>',
            "2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->monto.'</div>',
						"4"=>'<div align="left">'.$reg->cobrado.'</div>',
						"5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcpendiente':
		$rspta=$escritorio->listarclientecxcpendiente($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->nrocxc.'</div>',
            "2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->monto.'</div>',
						"4"=>'<div align="left">'.$reg->cobrado.'</div>',
						"5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientecxcpendientemas90dias':
		$rspta=$escritorio->listarclientecxcpendientemas90dias($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->nrocxc.'</div>',
            "2"=>'<div align="center">'.$reg->fechafaturacion.'</div>',
						"3"=>'<div align="left">'.$reg->monto.'</div>',
						"4"=>'<div align="left">'.$reg->cobrado.'</div>',
						"5"=>'<div align="left">'.$reg->saldo.'</div>',
						"6"=>($reg->estado=='Pendiente')?'<div align="center"><span class="badge bg-red">'.$reg->estado.'</span></div>':'<div align="center"><span class="badge bg-yellow">'.$reg->estado.'</span></div>'

            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;

	case 'listarclientenuncaantendido':
		$rspta=$escritorio->listarclientenuncaantendido($idvendedor);
		$data=Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
						"0"=>'<div align="left">'.$reg->nombre.'</div>',
						"1"=>'<div align="left">'.$reg->direcciond.'</div>',
						"2"=>'<div align="left">'.$reg->telefono.'</div>',
            "3"=>($reg->condicion)?'<div align="center"><span class="badge bg-green">Activado</span></div>':'<div align="center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;


}
 ?>